Get Tracked Time Report

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.niftypm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Nifty Developer API MCP server": {
  "url": "https://developers.niftypm.com/mcp"
}
Close
GET /api/v1.0/time

This endpoint fetch the tracked time report information based on provided criteria.

Query parameters

  • project_id string

    Project ID

  • task_id string

    Task ID

  • member_id string

    Member ID

  • start_date string(date-time)

    Start Date

  • end_date string(date-time)

    End Date

  • limit string

    Limit

  • offset string

    Offset

  • type string

    Type

    Values are running or all.

  • include_subtasks boolean

    Include Subtask

Responses

  • 200

    Success Response

  • 401

    The client request has not been completed because it lacks valid authentication credentials for the requested resource.

  • 403

    The client does not have access rights to the content.

  • 405

    The request method is known by the server but is not supported by the target resource.

GET /api/v1.0/time
curl \
 --request GET 'https://openapi.niftypm.com/api/v1.0/time' \
 --header "Authorization: Bearer $ACCESS_TOKEN"